<?php
/**
 * @file
 * XC Authentication account funtions
 * 
 * @copyright (c) 2010-2011 eXtensible Catalog Organization
 */

/**
 * Implementation of hook_xc_account()
 */
function xc_auth_xc_account($op, $account) {
  $return = array();
  $auth_users = xc_auth_user_get_all($account->uid);
  foreach ($auth_users as $auth_user) {
    $auth_type = xc_auth_type_load($auth_user->tid);
    $method_name = $auth_type->method;

    // If not authenticated alert user that they may not get all their
    // information back
    $check = xc_auth_check($auth_type, FALSE, $account);
    if (!$check[$auth_type->tid]) {
      drupal_set_message(
        t('To view account information from !account, you may need to !login that system',
        array(
          '!account' => '<strong>' . $auth_type->name . '</strong>',
          '!login' => l(t('log into'), 'xc/login/' . $auth_type->tid,
            array('query' => 'destination=' . $_GET['q'])))
        ), 
        'warning'
      );
    }
    
    // Run method function for returning account information
    $method_func = 'xc_auth_method_' . $method_name . '_xc_account';
    if (function_exists($method_func)) {
      $return = array_merge_recursive($return, $method_func($op, $account, $auth_user, $auth_type));
    }
  }
  return $return;
}